INTERNAL ERROR on Browser End: Expected a version > 5! Version = 4

VERIFIED DUPLICATE of bug 83376

Status

defect
VERIFIED DUPLICATE of bug 83376
18 years ago
9 years ago

People

(Reporter: bdianni, Assigned: joe.chou)

Tracking

Trunk
x86
Linux

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

18 years ago
Received this error:

INTERNAL ERROR on Browser End: Expected a version > 5! Version = 4


when this line

user_pref("general.useragent.override", "Mozilla/4.77 [en] (X11; U; Linux 2.4.12
i686");

Is in prefs.js

Only on dailies, 0.9.5 starts up fine.
This is a java plugin error.

Duplicate of "Crash when loading Java Plugin if UserAgent string as MSIE"

*** This bug has been marked as a duplicate of 83376 ***
Status: UNCONFIRMED → RESOLVED
Last Resolved: 18 years ago
Resolution: --- → DUPLICATE

Comment 2

18 years ago
vrfy dupe
Status: RESOLVED → CLOSED

Comment 3

18 years ago
vrfy dupe
Status: CLOSED → VERIFIED

Comment 4

17 years ago
*** Bug 167359 has been marked as a duplicate of this bug. ***

Comment 5

17 years ago
I would say this was being blocked by bug 83376 and the fix to that bug would
probably fix this but bug 83376 is about a crash whereas this is to do with
mozilla not starting.
Depends on: 83376

Comment 6

17 years ago
Reopening this because this affects Linux only and bug 83376 is for ALL PC OSes.
Status: VERIFIED → UNCONFIRMED
Resolution: DUPLICATE → ---

Comment 7

17 years ago
Reassigning to OJI and marking as new.
Workaround is to remove general.useragent.override entry from prefs.js file
(another, more drastic, workaround is to remove the java plugin from the plugins
folder).
Assignee: asa → joe.chou
Status: UNCONFIRMED → NEW
Component: Browser-General → OJI
Ever confirmed: true
QA Contact: doron → pmac
reduping.

This affects also windows.


*** This bug has been marked as a duplicate of 83376 ***
Status: NEW → RESOLVED
Last Resolved: 18 years ago17 years ago
Resolution: --- → DUPLICATE

Comment 9

17 years ago
Chris Petersen is a new QA contact for oji component. His email is:
petersen@netscape.com
Assignee: joe.chou → petersen
fixing small error for pmac@netscape.com (filter with : SPAMMAILSUCKS)
Assignee: petersen → joe.chou
QA Contact: pmac → petersen

Comment 11

16 years ago
*** Bug 229743 has been marked as a duplicate of this bug. ***

Comment 12

16 years ago
FYI:
I installed User Agent Toolbar 0.1 in a current CVS build of Mozilla
I then changed to MSIE5 and back, and this was set in prefs:

user_pref("general.useragent.contentlocale", "");
user_pref("general.useragent.override", "Enter new UA String or choose a common
one. Then press ENTER");

With those prefs, Mozilla starts just fine with the command "mozilla"
But I only get these errormessages on Linux if I try to start with "mozilla -P
profilename":

INTERNAL ERROR on Browser End: Expected a version > 5! Version = 0

System error?:: No such file or directory

I don't see why this is a Java error. I do have Java installed, but why would
Java stop me from starting mozilla only when i use my profile as parameter?
Status: RESOLVED → VERIFIED

Updated

9 years ago
Component: Java: OJI → Java: OJI
Product: Core → Core Graveyard
You need to log in before you can comment on or make changes to this bug.